﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace CompanyWcfService
{

  public class CompanyWcfService : ICompanyService
  {

    #region ICompanyService Members

    public List<Company> GetCompanies()
    {
      using (CompanyDataAccessDataContext context = new CompanyDataAccessDataContext())
      {
        return context.Companies.ToList();
      }
    }

    public Company GetCompany(Guid companyId)
    {
      using (CompanyDataAccessDataContext context = new CompanyDataAccessDataContext())
      {
        return (from oneCompany in context.Companies
                where oneCompany.CompanyId == companyId
                select oneCompany).FirstOrDefault();
      }
    }

    #endregion

    #region ICompanyService Members


    public bool UpdateCompany(Company companyToUpdate)
    {
      bool returnValue = true;
      try
      {
        using (CompanyDataAccessDataContext context = new CompanyDataAccessDataContext())
        {
          context.Companies.Attach(companyToUpdate);
          context.Refresh(System.Data.Linq.RefreshMode.KeepCurrentValues, companyToUpdate);
          context.SubmitChanges();
        }
      }
      catch
      {
        returnValue = false;
      }
      return returnValue;
    }

    #endregion
  }
}
