﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace GGMUGSiliverlightApp
{
  public partial class CompaniesList : UserControl
  {
    public CompaniesList()
    {
      InitializeComponent();
    }

    private void RefreshData()
    {
      Page.ShowLoadingLabel();
      CompanyService.CompanyServiceClient client = new GGMUGSiliverlightApp.CompanyService.CompanyServiceClient();
      client.GetCompaniesCompleted += new EventHandler<GGMUGSiliverlightApp.CompanyService.GetCompaniesCompletedEventArgs>(client_GetCompaniesCompleted);
      client.GetCompaniesAsync();
    }

    void client_GetCompaniesCompleted(object sender, GGMUGSiliverlightApp.CompanyService.GetCompaniesCompletedEventArgs e)
    {
      if (e.Error == null)
      {
        this.CompaniesGrid.ItemsSource = null;
        this.CompaniesGrid.ItemsSource = e.Result;
        Page.HideLoadingLabel();
      }
    }

    private void UserControl_Loaded(object sender, RoutedEventArgs e)
    {
      RefreshData();
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      CompanyService.Company selectedCompany = (CompanyService.Company)(((Button)sender).Tag);
      Page.ShowCompanyControl(selectedCompany.CompanyId);
    }
  }
}
