﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace GGMUGSiliverlightApp
{
  public partial class Page : UserControl
  {
    private static Page _page;

    public Page()
    {
      InitializeComponent();
    }

    private void UserControl_Loaded(object sender, RoutedEventArgs e)
    {
      _page = this;
    }

    void client_GetCompanyCompleted(object sender, GGMUGSiliverlightApp.CompanyService.GetCompanyCompletedEventArgs e)
    {
      this.ContextGoesHere.Children.Clear();
      EditCompany newControl = new EditCompany(e.Result);
      this.Wating.Visibility = Visibility.Collapsed;
      this.ContextGoesHere.Children.Add(newControl);
    }

    public static void ShowGrid()
    {
      _page.Wating.Visibility = Visibility.Visible;
      _page.ContextGoesHere.Children.Clear();
      _page.ContextGoesHere.Children.Add(new CompaniesList());
    }

    public static void ShowCompanyControl(Guid companyId)
    {
      _page.Wating.Visibility = Visibility.Visible;
      _page.ContextGoesHere.Children.Clear();
      CompanyService.CompanyServiceClient client = new GGMUGSiliverlightApp.CompanyService.CompanyServiceClient();
      client.GetCompanyCompleted += new EventHandler<GGMUGSiliverlightApp.CompanyService.GetCompanyCompletedEventArgs>(_page.client_GetCompanyCompleted);
      client.GetCompanyAsync(companyId);
    }

    public static void ShowLoadingLabel()
    {
      if (_page != null)
        _page.Wating.Visibility = Visibility.Visible;
    }
    public static void HideLoadingLabel()
    {
      if (_page != null)
        _page.Wating.Visibility = Visibility.Collapsed;
    }
  }
}
